<template>
  <div class='advantage-hub container'>
    <h2 class='base-title'>
      {{$t('title')}}
    </h2>
    <div class='advantage-hub__items'>
      <div class='advantage-hub__item item'>
        <img class='item__img' src='../../assets/img/hub/liquidity.svg' width='86' height='84' alt='Secure'>
        <p class='item__name'>{{$t('profitable')}}</p>
        <p class='item__text'>{{$t('profitableText')}}</p>
      </div>
      <div class='advantage-hub__item item'>
        <img class='item__img' src='../../assets/img/hub/security.svg' width='86' height='84'  alt='Secure'>
        <p class='item__name'>{{$t('save')}}</p>
        <p class='item__text'>{{$t('saveText')}}</p>
      </div>
      <div class='advantage-hub__item item'>
        <img class='item__img' src='../../assets/img/hub/performance.svg' width='86' height='84'  alt='Secure'>
        <p class='item__name'>{{$t('rapid')}}</p>
        <p class='item__text'>{{$t('rapidText')}}</p>
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Why Build with TBCC Hub?",
    "profitable": "Profitable investment",
    "profitableText": "Receive a steady income from fees, margin trading, coin and token listings of new projects.",
    "save": "Save money&time",
    "saveText": "Save up to $200,000 and more than a year to launch your own crypto business.",
    "rapid": "Rapid start",
    "rapidText": "Launch your business in a few days and get regular upgrades and additions without wasting a large team."
  },
  "ch": {
    "title": "为什么要在TBCC中心建设？",
    "profitable": "有利可图的投资",
    "profitableText": "从费用、保证金交易、新项目的硬币和代币列表中获得稳定的收入",
    "save": "节省金钱和时间",
    "saveText": "节省高达20万美元和一年多的时间来启动您自己的加密货币业务",
    "rapid": "快速启动",
    "rapidText": "在几天内启动您的业务，并得到定期的升级和补充，而无需浪费一个庞大的团队"
  },
  "tur": {
    "title": "Why Build with TBCC Hub?",
    "profitable": "Profitable investment",
    "profitableText": "Receive a steady income from fees, margin trading, coin and token listings of new projects.",
    "save": "Save money&time",
    "saveText": "Save up to $200,000 and more than a year to launch your own crypto business.",
    "rapid": "Rapid start",
    "rapidText": "Launch your business in a few days and get regular upgrades and additions without wasting a large team."
  }
}
</i18n>

<style lang='scss' scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0 0 75px;
  position: relative;

  @media (max-width: 767px) {
    width: 288px;
    text-align: center;
    margin-bottom: 42px;
  }

  @media (min-width: 768px) {
    &::before {
      content: "";
      position: absolute;
      width: 601px;
      height: 459px;
      top: -115px;
      left: -295px;
      background-image: url("../../assets/img/hub/bg-start-advantage.svg");
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }
  }


  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.advantage-hub {
  display: flex;
  align-items: center;
  flex-direction: column;

  &__items {
    width: 100%;
    display: flex;
    justify-content: space-around;

    @media (max-width: 767px) {
      flex-direction: column;
      align-items: center;
      justify-content: flex-start;
    }
  }
}

.item {
  display: flex;
  align-items: center;
  flex-direction: column;

  &:not(:last-child) {
    @media (max-width: 767px) {
      margin-bottom: 40px;
    }
  }

  &__img {
    margin-bottom: 19px;
    min-height: 63px;
    object-fit: contain;
  }

  &__name {
    font-weight: 500;
    font-size: 24px;
    color: #FFFFFF;
    margin: 0 0 15px;
  }

  &__text {
    font-size: 18px;
    line-height: 28px;
    width: 280px;
    color: #6983AB;
    text-align: center;
    margin: 0;

    @media(min-width: 768px) and (max-width: 1023px){
      font-size: 16px;
      line-height: 125%;
    }

    @media(max-width: 1023px) {
        width: 250px;
    }
  }
}
</style>
